Bug 33548 - install reports unresolved dependencies with requirement
install reports unresolved dependencies with requirement
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-03-27 21:18 EST by Need Real Name
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-29 11:35:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-03-27 21:18:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (X11; U; Linux 2.2.14-5.0 i686)

I created a new 6.2 cd by following the procedures in "Burning a RedHat  CD
HOWTO".  Basically, updating the RPMS (from redhat updates), then regen of

When testing the cd image, I select all packages to be loaded.
During install, an additional window appeared titled "Unresolved
Dependencies".  It lists several packages under "Package" column and for 
each of these, the corresponding entry in "Requirement" column is set to 
"no suggestion". 

Could this be an rpm problem?  i.e., could 
this be due to the version of rpm used during install (boot from cd)
is older (say 3.0.4) and that the updated rpms are in a new format for rpm
(say 4.0) &
perhaps the older rpm can't determine the dependencies properly of the 
updated rpms?

Packages listed with  "no suggestion" as requirement include:
slrn-pull, slrn, imap, php-manual, up2date, php_ldap, python, mutt, tcsh,

Reproducible: Always
Steps to Reproduce:
1. Follow howto on burning a redhat cd:
2. Just update the RPMS using ones from redhat
3. regen hdlist file
Comment 1 Matt Wilson 2001-03-28 00:26:35 EST
When building CDs you have to verify that all dependencies will be satisified
with the package set you are including.  That is outside of the scope of the
installer.  Try:

mkdir /tmp/tmpdb
rpm --dbpath /tmp/tmpdb -ivh *.rpm --test

to verify
Comment 2 Need Real Name 2001-03-28 12:49:50 EST
Ok.. I did some more digging and found that the some of the packages
were on openssl which was added (my fault).  
I now rebuilt the cd with *all* rpms from redhat updates 
for i386 6.2.  I am still left with these packages which exhibit the same
php-imap, php-manual, php-ldap, php-pgsl, tcsh and up2date, up2date-gnome.

I believe that all of the above are having problems becuase the version of rpm
in the installer is old and does not recognize properly some dependencies...

In particular the following dependency seems to be the problem is most cases:
	rpmlib(VersionedDependencies) <= 3.0.3-1

In the case of the up2date pkgs, there is a dependency:
	rpm >= 3.05

Also, please see: 
where a similar (same) problem was reported.

To quote the last comment from that report:
"It looks that the problem is caused by the installer not being able to
the rpmlib dependancies. If the new updates require rpmlib dependancy, why don't
you upgrade the installers too? It's a compatibility issue."

Is the above all correct?  If so, is there any way to avoid this and update the
Or does it not matter and if the install is just continued, the right thing will
Comment 3 Bill Nottingham 2001-03-28 13:20:22 EST
You'd need the  new rpm python module in the install image. However, I
don't know if the 6.2 installer will work right with RPM 4...
Comment 4 Matt Wilson 2001-03-29 11:35:52 EST
this isn't a bug in anaconda as shipped in 6.2.  If you're engineering your own
updated distribution you'll need to extract and use the new python rpmmodule and
place it in instimage/
Comment 5 Ron Yorston 2001-05-03 04:40:56 EDT
Well, I've tried adding the new rpmmodule to instimage.  I also added it
to hdstg2.img.  And I added the new librpm, librpmio, libdb-3 and sundry
other bits.  But it doesn't work.

At least this modified version doesn't complain about unresolved dependencies
for newer update RPMs, but it doesn't install them either.  They appear in
the RPM database as having been installed, but they aren't.

So what else needs to be done to make it work?
Comment 6 Ron Yorston 2001-05-09 06:17:38 EDT
OK, I've done some more investigation and find that I can get things to
work if I downgrade the RPM package files.  I've written up some notes:


Note You need to log in before you can comment on or make changes to this bug.